#
#
#    =========================================================================
#
#    Copyright (C) 2001-2006 by Matt Roberts, KK5JY.
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#    =========================================================================
#
#

#  Version Information
VERSION=1.0.0
MAJOR_VERSION=1

#  Installation Locations
PREFIX=/usr
BINDIR=${PREFIX}/bin
SBINDIR=${PREFIX}/sbin
LIBDIR=${PREFIX}/lib
INCDIR=${PREFIX}/include/my++
SYSCONFDIR=/etc
LOCALSTATEDIR=/var
MANDIR=${PREFIX}/share/man

# define ONE of these
LINUX=true
#SOLARIS=true

# Define build tools
ifdef LINUX
	MAKE=make
	CPP=g++
	AR=ar
	RANLIB=ranlib
	HOST_FLAGS=-DLINUX
else
	MAKE=gmake
	CPP=g++
	AR=/usr/ccs/bin/ar            # Use Solaris-specific AR
	RANLIB=/usr/ccs/bin/ranlib    # Use Solaris-specific RANLIB
	HOST_FLAGS=-DSOLARIS
endif

